# RejectOrderItems

rejectOrderItems

## reject OrderItems

> The rejectOrderItems service processes a rejection request for one or more items in an order.\
> &#x20;           The rejection logic is driven by two key flags: maySplit and cascadeRejectByProduct, which determine the scope of the rejection.\
> &#x20;           Rejection Logic:\
> &#x20;           \- maySplit = Y, cascadeRejectByProduct = N\
> &#x20;             \- Reject only the specific item included in the request.\
> &#x20;           \- maySplit = N, cascadeRejectByProduct = N\
> &#x20;             \- Reject all items in the same ship group as the specified item.\
> &#x20;           \- maySplit = Y, cascadeRejectByProduct = Y\
> &#x20;             \- Reject items with the same productId in the same facility and match the rejection criteria (e.g., shipment not yet packed or shipped).\
> &#x20;           \- maySplit = N, cascadeRejectByProduct = Y\
> &#x20;             \- Reject entire ship groups across all orders that contain the specified productId in the same facility, provided the shipment is not yet packed or shipped.

```json
{"openapi":"3.1.1","info":{"title":"Poorti API","version":"1.0.0"},"tags":[{"name":"rejectOrderItems","description":"rejectOrderItems"}],"servers":[{"url":"https://dev-maarg.hotwax.io/rest/s1/poorti"}],"security":[{"basicAuth":[]},{"api_key":[]}],"components":{"securitySchemes":{"basicAuth":{"type":"http","scheme":"basic"},"api_key":{"type":"apiKey","name":"api_key","in":"header","description":"HTTP Header api_key"}},"schemas":{"co.hotwax.oms.order.OrderServices.rejectOrderItems.Out":{"type":"object","properties":{"cancelledReservations":{"type":"array","items":{"type":"string"}}}},"co.hotwax.oms.order.OrderServices.rejectOrderItems.In":{"type":"object","properties":{"orderId":{"type":"string"},"rejectToFacilityId":{"type":"string"},"items":{"type":"array","items":{"type":"object","properties":{"orderItemSeqId":{"type":"string"},"quantity":{"type":"string","default":"1"},"updateQOH":{"type":"string"},"maySplit":{"type":"string","description":"Whether to allow rejection of individual items or reject the entire ship group. Default is N.","default":"N"},"cascadeRejectByProduct":{"type":"string","description":"Whether to reject other items in the order with the same product in the same facility. Default is N.","default":"N"},"comments":{"type":"string"},"excludeOrderFacilityDuration":{"type":"string"},"rejectionReasonId":{"type":"string"},"kitComponents":{"type":"array","items":{"type":"string"}}}}}},"required":["orderId","items"]}}},"paths":{"/rejectOrderItems":{"post":{"tags":["rejectOrderItems"],"summary":"reject OrderItems","description":"The rejectOrderItems service processes a rejection request for one or more items in an order.\n            The rejection logic is driven by two key flags: maySplit and cascadeRejectByProduct, which determine the scope of the rejection.\n            Rejection Logic:\n            - maySplit = Y, cascadeRejectByProduct = N\n              - Reject only the specific item included in the request.\n            - maySplit = N, cascadeRejectByProduct = N\n              - Reject all items in the same ship group as the specified item.\n            - maySplit = Y, cascadeRejectByProduct = Y\n              - Reject items with the same productId in the same facility and match the rejection criteria (e.g., shipment not yet packed or shipped).\n            - maySplit = N, cascadeRejectByProduct = Y\n              - Reject entire ship groups across all orders that contain the specified productId in the same facility, provided the shipment is not yet packed or shipped.","responses":{"200":{"description":"Success","content":{"application/json":{"schema":{"$ref":"#/components/schemas/co.hotwax.oms.order.OrderServices.rejectOrderItems.Out"}}}},"401":{"description":"Authentication required"},"403":{"description":"Access Forbidden (no authz)"},"429":{"description":"Too Many Requests (tarpit)"},"500":{"description":"General Error"}},"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/co.hotwax.oms.order.OrderServices.rejectOrderItems.In"}},"multipart/form-data":{"schema":{"$ref":"#/components/schemas/co.hotwax.oms.order.OrderServices.rejectOrderItems.In"}}},"required":true}}}}}
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.hotwax.co/documents/integrate-with-hotwax/components/fulfillment/rejectorderitems.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
